# Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

## [1.1.1](https://github.com/billogram/frontend-foundation/compare/@billogram/foundation-checkbox@1.1.0...@billogram/foundation-checkbox@1.1.1) (2021-02-04)

### Bug Fixes

* Sync dependency versions ([04decf10](https://github.com/billogram/frontend-foundation/commit/04decf10))



## [1.1.0](https://github.com/billogram/frontend-foundation/compare/dbf5a8709119374207dd2d28f6ffeffac17d5871...@billogram/foundation-checkbox@1.1.0) (2021-01-10)

### Bug Fixes

* Prefer React import ([40e8d46a](https://github.com/billogram/frontend-foundation/commit/40e8d46a))
* Fix linting in foundation-checkbox ([45bd9266](https://github.com/billogram/frontend-foundation/commit/45bd9266))
* Favor named exports for components ([5a5dc5c0](https://github.com/billogram/frontend-foundation/commit/5a5dc5c0))
* Export props ([06802c25](https://github.com/billogram/frontend-foundation/commit/06802c25))
* Always export props type ([e55e1399](https://github.com/billogram/frontend-foundation/commit/e55e1399))
* Import billicons in checkbox example app ([489b985b](https://github.com/billogram/frontend-foundation/commit/489b985b))
* Use dependencies instead of peer dependencies ([ec2497fa](https://github.com/billogram/frontend-foundation/commit/ec2497fa))
* Don't keep track of checked state ([1d9eba77](https://github.com/billogram/frontend-foundation/commit/1d9eba77))
* Fix ESLint issues ([fdcd3bf9](https://github.com/billogram/frontend-foundation/commit/fdcd3bf9))
* Fix imported type ([2c57d186](https://github.com/billogram/frontend-foundation/commit/2c57d186))
* Satisfy workspace dependencies ([5b5716db](https://github.com/billogram/frontend-foundation/commit/5b5716db))


### Features

* Upgrade React ([978bf30e](https://github.com/billogram/frontend-foundation/commit/978bf30e))
* Introduce event handler types ([3e09ab43](https://github.com/billogram/frontend-foundation/commit/3e09ab43))
* Rename example app components ([531665ea](https://github.com/billogram/frontend-foundation/commit/531665ea))
* Make it possible to use ellipsis for content ([e5a114b8](https://github.com/billogram/frontend-foundation/commit/e5a114b8))
* Implement FoundationCheckbox ([a8aca2ec](https://github.com/billogram/frontend-foundation/commit/a8aca2ec))
* Scaffold out @billogram/foundation-checkbox ([0d45009b](https://github.com/billogram/frontend-foundation/commit/0d45009b))


### BREAKING CHANGES

* Due to rename.
* Force the first release to start from 1.0.0.



## [1.0.0](https://github.com/billogram/frontend-foundation/compare/dbf5a8709119374207dd2d28f6ffeffac17d5871...@billogram/foundation-checkbox@1.0.0) (2020-01-20)

### Bug Fixes

* Favor named exports for components ([5a5dc5c0](https://github.com/billogram/frontend-foundation/commit/5a5dc5c0))
* Export props ([06802c25](https://github.com/billogram/frontend-foundation/commit/06802c25))
* Always export props type ([e55e1399](https://github.com/billogram/frontend-foundation/commit/e55e1399))
* Import billicons in checkbox example app ([489b985b](https://github.com/billogram/frontend-foundation/commit/489b985b))
* Use dependencies instead of peer dependencies ([ec2497fa](https://github.com/billogram/frontend-foundation/commit/ec2497fa))
* Don't keep track of checked state ([1d9eba77](https://github.com/billogram/frontend-foundation/commit/1d9eba77))
* Fix ESLint issues ([fdcd3bf9](https://github.com/billogram/frontend-foundation/commit/fdcd3bf9))
* Fix imported type ([2c57d186](https://github.com/billogram/frontend-foundation/commit/2c57d186))
* Satisfy workspace dependencies ([5b5716db](https://github.com/billogram/frontend-foundation/commit/5b5716db))


### Features

* Introduce event handler types ([3e09ab43](https://github.com/billogram/frontend-foundation/commit/3e09ab43))
* Rename example app components ([531665ea](https://github.com/billogram/frontend-foundation/commit/531665ea))
* Make it possible to use ellipsis for content ([e5a114b8](https://github.com/billogram/frontend-foundation/commit/e5a114b8))
* Implement FoundationCheckbox ([a8aca2ec](https://github.com/billogram/frontend-foundation/commit/a8aca2ec))
* Scaffold out @billogram/foundation-checkbox ([0d45009b](https://github.com/billogram/frontend-foundation/commit/0d45009b))


### BREAKING CHANGES

* Due to rename.
* Force the first release to start from 1.0.0.
